APIWebhooks
Update a webhook endpoint
Update endpoint metadata, URL, or static authentication header
PUT https://api.sazabi.com/v1/webhooks/{webhookId}
Path Parameters
webhookId*string
Webhook endpoint to update.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "url": "http://example.com", "status": "active", "authHeaderName": "string", "signingSecretRotatedAt": "2019-08-24T14:15:22Z", "consecutiveFailures": 0, "disabledAt": "2019-08-24T14:15:22Z", "disabledReason": "string", "createdAt": "2019-08-24T14:15:22Z"}